API Documentation

Update comment

Description

Updates a comment. Only supply the properties you want to change.

Request format

curl -X POST https://kanbanflow.com/api/v1/tasks/<TASK_ID>/comments/<COMMENT_ID> -H "Content-type: application/json"
 -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1>, "<PROPERTY_2>": <PROPERTY_VALUE_2>, ... "<PROPERTY_N>": <PROPERTY_VALUE_N> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/comments/C3VJU6yeb -H "Content-type: application/json"
 -d '{ "text": "Lorem ipsum dolor sit amet" }'

Valid properties

PropertyTypeComment
textStringThe comment text.
authorUserIdStringThe ID of the comment author. See Get users tab for information about how to get a user's ID.
createdTimestampStringThe UTC timestamp for when the comment was created, for example 2023-12-31T00:00:00.000Z.
updatedTimestampStringDefaults to the current time. The UTC timestamp for when the comment was updated, for example 2023-12-31T00:00:00.000Z.